[GE users] Re: help needed with Scheduler::DRMAAc

Tim Harsch harsch1 at llnl.gov
Tue Aug 16 21:59:42 BST 2005


    [ The following text is in the "iso-8859-1" character set. ]
    [ Your display is set for the "ISO-8859-10" character set.  ]
    [ Some special characters may be displayed incorrectly. ]

Yikes, you got me.  I suspect by the message you could possibly have some 
state where the libdrmaa.so you are linking to did not match the drmaa.h you 
are trying to use in this make?

So, questions are:
*  are you using only one SGE distribution?
*  is this node using the correct libs for its architecure ( do you have 
multiple platforms in your cluster )?
*  what platform are you on?
*  what version of SGE are you on?
*  what OS are you on?

----- Original Message ----- 
From: "Jinal Jhaveri" <jajhaveri at lbl.gov>
To: <harsch1 at llnl.gov>
Sent: Tuesday, August 16, 2005 1:30 PM
Subject: help needed with Scheduler::DRMAAc


> Hi Tim,
>
> I am trying to install Scheduler::DRMAAc and I am getting following error:
> [jjhaveri at node64t-00 ~/.cpan/build/Schedule-DRMAAc-0.81]$ perl Makefile.PL 
> PREFIX=~/perl/
> Note (probably harmless): No library found for -lsocket
> Writing Makefile for Schedule::DRMAAc
> [jjhaveri at node64t-00 ~/.cpan/build/Schedule-DRMAAc-0.81]$ make
> cc -c  -I/sge/include -D_REENTRANT -D_GNU_SOURCE -DTHREADS_HAVE_PIDS -DDEBIAN 
>  -fno-strict-aliasing -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 
>  -O2   -DVERSION=\"0.81\" -DXS_VERSION=\"0.81\" -fPIC 
> "-I/usr/lib/perl/5.8/CORE"   Schedule_DRMAAc_wrap.c
> Running Mkbootstrap for Schedule::DRMAAc ()
> chmod 644 DRMAAc.bs
> rm -f blib/arch/auto/Schedule/DRMAAc/DRMAAc.so
> LD_RUN_PATH="/sge/lib/lx24-x86" cc  -shared -L/usr/local/lib 
> Schedule_DRMAAc_wrap.o  -o 
> ib/arch/auto/Schedule/DRMAAc/DRMAAc.so   -L/sge/lib/lx24-x86 -ldrmaa -lnsl 
>  -lm -lpthread
> /usr/bin/ld: skipping incompatible /sge/lib/lx24-x86/libdrmaa.so when 
> searching for -ldrmaa
> /usr/bin/ld: cannot find -ldrmaa
> collect2: ld returned 1 exit status
> make: *** [blib/arch/auto/Schedule/DRMAAc/DRMAAc.so] Error 1
>
>
>
> Can you please help?
>
>
> Regards
>
> --Jinal 


---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe at gridengine.sunsource.net
For additional commands, e-mail: users-help at gridengine.sunsource.net



More information about the gridengine-users mailing list